# TdApi.UpdateNewChatJoinRequest (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateNewChatJoinRequest

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateNewChatJoinRequest

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewChatJoinRequest

Enclosing class:
  TdApi

public static final class TdApi.UpdateNewChatJoinRequest extends TdApi.Update
A user sent a join request to a chat; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.ChatInviteLink`
`inviteLink`
The invite link, which was used to send join request; may be null.
`TdApi.ChatJoinRequest`
`request`
Join request.
`long`
`userChatId`
Chat identifier of the private chat with the user.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNewChatJoinRequest()`
A user sent a join request to a chat; for bots only.
`UpdateNewChatJoinRequest(long chatId, TdApi.ChatJoinRequest request, long userChatId, TdApi.ChatInviteLink inviteLink)`
A user sent a join request to a chat; for bots only.
`UpdateNewChatJoinRequest(DataInput input)`
A user sent a join request to a chat; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### request

public TdApi.ChatJoinRequest request
Join request.

### userChatId

public long userChatId
Chat identifier of the private chat with the user.

### inviteLink

public TdApi.ChatInviteLink inviteLink
The invite link, which was used to send join request; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateNewChatJoinRequest

public UpdateNewChatJoinRequest()
A user sent a join request to a chat; for bots only.

### UpdateNewChatJoinRequest

public UpdateNewChatJoinRequest(long chatId, TdApi.ChatJoinRequest request, long userChatId, TdApi.ChatInviteLink inviteLink)
A user sent a join request to a chat; for bots only.

Parameters:
  `chatId` - long Chat identifier.
  `request` - ChatJoinRequest Join request.
  `userChatId` - long Chat identifier of the private chat with the user.
  `inviteLink` - ChatInviteLink The invite link, which was used to send join request; may be null.

### UpdateNewChatJoinRequest

public UpdateNewChatJoinRequest(DataInput input) throws IOException
A user sent a join request to a chat; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`